param(
	[String]$from,
	[String]$to,
	[String]$in = "c:\tmp\Convert",
	[String]$out = "c:\tmp\Converted",
	[String]$encoding = "Shift_JIS"
)

$enc = [Text.Encoding]::GetEncoding($encoding)
Get-ChildItem $in -recurse |
	ForEach-Object {
		if($_.GetType().Name -eq "FileInfo"){
			$reader = New-Object IO.StreamReader($_.FullName, $enc)
			$o_path = $_.FullName.ToLower().Replace($in.ToLower(), $out)
			$o_folder = Split-Path $o_path -parent
			if(!(Test-Path $o_folder)){
				[void][IO.Directory]::CreateDirectory($o_folder)
			}
			$writer = New-Object IO.StreamWriter($o_path, $false, $enc)
			while(!$reader.EndOfStream){
				#$writer.WriteLine($reader.ReadLine().Replace($from, $to))
				$str = $reader.ReadLine() -ireplace $from, $to
				$writer.WriteLine($str)
			}
			$reader.Close()
			$writer.Close()
		}
	}
